# &adminguide;

## Overview

This module provides operations on json strings.

## Dependencies

### &kamailio; Modules

The following modules must be loaded before this module:

- None

### External Libraries or Applications

The following libraries or applications must be installed before running &kamailio; with this module loaded:

- libjson (https://github.com/json-c/json-c/wiki)

## Parameters

None

## Functions

### `json_get_field(json_string, field_name, destination)`

Copy field 'field_name' from json object 'json_string' and store it in pvar 'destination'.

#### `json_get_field` usage

    ...
    json_get_field("{'foo':'bar'}", "foo", "$var(foo)");
    xlog("foo is $var(foo)");
    ...